Repository Ubuntu 14.04 LTS

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Repository Ubuntu 14.04 LTS

Maurizio Marchi-2
Ciao a tutti,
Lavoro da diverso tempo su Ubuntu e da un paio di anni circa ho Ubuntu 14.04 64-bit stabilmente installato sul mio PC. Ho sempre utilizzato QGIS e GRASS attraverso le Repository Ubuntugis-unstable ma da qualche tempo ho qualche problemino, per esempio adesso non mi funziona più il plugin processing per GRASS (eppure riesco a lavorarci senza problemi fuori da QGIS e ad anche ad avviarlo da terminale come specificato qui (http://docs.qgis.org/testing/en/docs/user_manual/processing/3rdParty.html). Volevo quindi chiedere: esiste una configurazione "ottimale" delle repository per avere una versione stabile di QGIS (tipo quella fornita da ubuntugis-unstable che di unstable mi sembra avere ben poco..) e GRASS (tipo GRASS 7.0) che riescano anche ad interfacciarsi?

Quale repository utilizzate voi? Grazie, ciao ciao


--
Maurizio Marchi
Calenzano (FI) - Italy
ID Skype: maurizioxyz
Ubuntu 14.04 LTS
linux user 552742

_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
750 iscritti al 18.3.2015
Reply | Threaded
Open this post in threaded view
|

Re: Repository Ubuntu 14.04 LTS

nformica
Ciao Maurizio,

... mmh, non è facile capire quale possa essere l'origine del tuo problema !
Dovresti pure dirci quale versione di QGIS hai installato sul tuo Ubuntu 14.04; io sullo stessa versione con QGIS 2.8.2 LTR non ho alcun problema .

Comunque il problema non credo che dipenda dal repository ?! ... altri hanno problemi simili al tuo con il plugin di GRASS.
Forse ti conviene pulire la vecchia installazione e rifarla daccapo.

In ogni caso nei seguenti due "topic" su questo forum :

http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/QGIS-2-8-2-e-comandi-grass-da-tool-processing-tt7592690.html
http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/QGIS-Pisa-senza-plugin-QGIS-GRASS-tt7592879.html

vengono discussi problemi simili al tuo e quindi potrai trovare qualche dritta che fa per te !!

Ciao !
Nino


Reply | Threaded
Open this post in threaded view
|

Re: Repository Ubuntu 14.04 LTS

Maurizio Marchi-2
In reply to this post by Maurizio Marchi-2
Ciao Nino!
Allora, io ho solo la Repository ununtugis-unstable attiva (niente grass ne qgis.debian) e mi installa la versione 2.8.1 di QGIS. Ho cercato un po nei link che avevi allegato ma non ho risolto ancora...Ho provato a fare una disinstallazione completa di QGIS e GRASS, pulito tutto con Ubuntu tweak ed eliminate manualmente tutte le cartelle di sistema tipo i plugin e la cartella .qgis2 ma niente di nuovo, ne GRASS ne GRASS7 funzionano correttamente. Te quale repository hai attiva x avere QGIS 2.8.2? Perché sinceramente ora che ci penso non essendo più disponibile il pacchetto libgdal-ecw-src nella ubuntugis unstable potrei anche cambiare repository con quella di debian...

Maurizio

 
Message: 3
Date: Fri, 7 Aug 2015 00:10:44 -0700 (MST)
From: nformica <<a href="javascript:;" onclick="_e(event, &#39;cvml&#39;, &#39;ninofor60@gmail.com&#39;)">ninofor60@...>
To: <a href="javascript:;" onclick="_e(event, &#39;cvml&#39;, &#39;gfoss@lists.gfoss.it&#39;)">gfoss@...
Subject: Re: [Gfoss] Repository Ubuntu 14.04 LTS
Message-ID: <<a href="javascript:;" onclick="_e(event, &#39;cvml&#39;, &#39;1438931444830-7593389.post@n2.nabble.com&#39;)">1438931444830-7593389.post@...>
Content-Type: text/plain; charset=UTF-8

Ciao Maurizio,

... mmh, non è facile capire quale possa essere l'origine del tuo problema !
Dovresti pure dirci quale versione di QGIS hai installato sul tuo Ubuntu
14.04; io sullo stessa versione con QGIS 2.8.2 LTR non ho alcun problema .

Comunque il problema non credo che dipenda dal repository ?! ... altri hanno
problemi simili al tuo con il plugin di GRASS.
Forse ti conviene pulire la vecchia installazione e rifarla daccapo.

In ogni caso nei seguenti due "topic" su questo forum :

http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/QGIS-2-8-2-e-comandi-grass-da-tool-processing-tt7592690.html
http://gfoss-geographic-free-and-open-source-software-italian-mailing.3056002.n2.nabble.com/QGIS-Pisa-senza-plugin-QGIS-GRASS-tt7592879.html

vengono discussi problemi simili al tuo e quindi potrai trovare qualche
dritta che fa per te !!

Ciao !
Nino


--
Maurizio Marchi
Calenzano (FI) - Italy
ID Skype: maurizioxyz
Ubuntu 14.04 LTS
linux user 552742




_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
750 iscritti al 18.3.2015
Reply | Threaded
Open this post in threaded view
|

Re: Repository Ubuntu 14.04 LTS

nformica
This post was updated on .
Ciao Maurizio,

... si,  anche la repository che uso io è quella di Debian:

## QGIS e GRASS
deb http://qgis.org/debian trusty main
deb-src http://qgis.org/debian trusty main

Prova con questa !
Nino

P.S. per i problemi vari che hai letto nei topic che ti ho indicato prima, volutamente uso QGIS 2.8.2 e non sono passato alla versione 2.10 Pisa. Per quello che mi serve, mi basta e preferisco la LTS.
Reply | Threaded
Open this post in threaded view
|

Re: Repository Ubuntu 14.04 LTS

Maurizio Marchi-2
In reply to this post by Maurizio Marchi-2
 Ok risolto, con la repository 

deb http://qgis.org/debian-lts trusty main
deb-src http://qgis.org/debian-lts trusty main

funziona tutto!!! Unico (nuovo) problema è che se aggiorno il plugin processing (perchè a quanto pare è ancora una versione vecchia rispetto a quella della 2.8.3) mi si corrompe e mi tocca disinstallarlo :) Vabbè lascio quello vecchio funzionante, no? ;)

Ciao e grazie

maurizio

--
Maurizio Marchi
Calenzano (FI) - Italy
ID Skype: maurizioxyz
Ubuntu 14.04 LTS
linux user 552742



_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
750 iscritti al 18.3.2015
Reply | Threaded
Open this post in threaded view
|

Re: Repository Ubuntu 14.04 LTS

Luca Delucchi
In reply to this post by nformica
2015-08-07 17:20 GMT+02:00 nformica <[hidden email]>:
> Ciao Maurizio,
>

Ciao,

> ... si,  anche la repository che uso io è quella di Debian:
>
> ## QGIS e GRASS
> deb http://qgis.org/debian trusty main
> deb-src http://qgis.org/debian trusty main
>
> Prova con questa !

Un vivo consiglio, non usate troppi repository e soprattutto di
distribuzioni diverse.

quello che consiglio è ubuntugis-unstable, se poi non vi funziona il
collegamento tra GRASS e QGIS segnalatelo nella mailing list di QGIS.
Ci sono alcuni aggiornamenti nell'ultima versione 2.10 che penso
risolvano alcuni dei problemi, nelle 2.12 il supporto dovrebbe essere
ancora migliore.

> Nino
>

[0] https://launchpad.net/~ubuntugis/+archive/ubuntu/ubuntugis-unstable

--
ciao
Luca

http://gis.cri.fmach.it/delucchi/
www.lucadelu.org
_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
750 iscritti al 18.3.2015
Reply | Threaded
Open this post in threaded view
|

Re: Repository Ubuntu 14.04 LTS

Maurizio Marchi-2
In reply to this post by Maurizio Marchi-2
Ciao Nino,
Io usavo proprio la Repository ubuntugis-unstable in esclusiva senza altre è da poco sulla 2.8.2 (ubuntugis-unstable distribuisce la 2.10??) il plugin processing ha iniziato a non funzionare. Ho risolto come avevo scritto prima disattivandola e attivando solo la debian-ltr ma non mi dispiacerebbe se si risolvesse anche sulla ubuntugis-unstable. Visto che ci sono chiedo anche un'altra cosa: il pacchetto libgdal-ecw-src tornerà disponibile x le nuove versioni? Esiste una alternativa x la compilazione di GDAL? 

maurizio


--
Maurizio Marchi
Calenzano (FI) - Italy
ID Skype: maurizioxyz
Ubuntu 14.04 LTS
linux user 552742




_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
750 iscritti al 18.3.2015
Reply | Threaded
Open this post in threaded view
|

Re: Repository Ubuntu 14.04 LTS

nformica
Ciao Maurizio,

effettivamente con le uscite delle nuove release di QGIS (2.8 e 2.10) nonchè la ancora recente uscita di GRASS 7, i vari repositori stanno man mano aggiornandosi e per il momento c'è un pò di confisione.
Ma credo che al più presto le cose si risolveranno anche per la ubuntugis-unstable.

Per quanto riguarda il pacchetto libgdal-ecw-src, un'alternativa per installarlo senza usare l' apt-get, la puoi leggere in questa guida:
http://qgis4dummies.wikidot.com/linux
... vedi un pò se ti va bene !
Cari saluti
Nino